Docs
Translations

Machine-translate and save

POST/translationsNeedscontent.edit

Translates an item's stored text into every (or the listed) language and saves it. Uses the workspace's translation budget.

Authorization

secretKey
headerAuthorizationBearer <sk_…>

A secret API key from Settings → API keys. It acts with its creator's role.

Request Body

application/json
  1. body
contentType*string
Value in"tour""tour_step""tooltip""banner""checklist""checklist_item""announcement"
contentId*integer
Range0 < value <= 2147483647
sourceLanguage?string
Default"en"
Value in"en""uk""pl""es""pt""de""ru""fr""it""ja""zh"
targetLanguages?array<>
Itemsitems <= 11

Response Body

OK

application/json
  1. response
translations*array<>
translatedTo*array<string>
Shell
curl -X POST 'https://app.cueston.com/api/translations' \
  -H 'Content-Type: application/json' \
  -d '{
  "contentType": "tour",
  "contentId": 42
}'
Example Response
JSON
{
  "translations": [
    {
      "id": 42,
      "contentType": "tour",
      "contentId": 42,
      "languageCode": "de",
      "title": "Welcome to Acme",
      "body": "Here's a quick look at where everything is.",
      "buttonText": "Next",
      "updatedAt": "2026-10-26T09:30:00Z"
    }
  ],
  "translatedTo": [
    "string"
  ]
}